Package org.eclipse.equinox.log

# Interface ExtendedLogService

All Superinterfaces:
  `Logger`, `Logger`, `LoggerFactory`, `LogService`

public interface ExtendedLogService extends LogService, Logger
Extends the OSGi `Log Service` to support the use of named loggers that provide some additional context when logging.

Since:
  3.7
See Also:
  - `Logger`
Restriction:
  This interface is not intended to be implemented by clients.
Thread Safe:

## Field Summary

### Fields inherited from interface org.osgi.service.log.Logger

`ROOT_LOGGER_NAME`

### Fields inherited from interface org.osgi.service.log.LogService

`LOG_DEBUG, LOG_ERROR, LOG_INFO, LOG_WARNING`

## Method Summary

Modifier and Type
Method
Description
`Logger`
`getLogger(String loggerName)`
Returns the `Logger` object associated with this logger name for the bundle that retrieved this log service.
`Logger`
`getLogger(Bundle bundle, String loggerName)`
Returns the logger associated with this logger name and bundle.

### Methods inherited from interface org.eclipse.equinox.log.Logger

`getName, isLoggable, log, log, log, log, log, log`

### Methods inherited from interface org.osgi.service.log.Logger

`audit, audit, audit, audit, debug, debug, debug, debug, debug, error, error, error, error, error, info, info, info, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn`

### Methods inherited from interface org.osgi.service.log.LoggerFactory

`getLogger, getLogger, getLogger, getLogger`

### Methods inherited from interface org.osgi.service.log.LogService

`log, log, log, log`

## Method Details

### getLogger

Logger getLogger(String loggerName)
Returns the `Logger` object associated with this logger name for the bundle that retrieved this log service. If loggerName is null the default `Logger` for this bundle is returned.

Specified by:
  `getLogger` in interface `LoggerFactory`
Parameters:
  `loggerName` - The logger name.
Returns:
  `Logger` associated with the logger name.

### getLogger

Logger getLogger(Bundle bundle, String loggerName)
Returns the logger associated with this logger name and bundle.

Parameters:
  `loggerName` - The logger name.
  `bundle` - The bundles associated with this logger. If null the bundle that retrieved this log service is used.
Returns:
  `Logger` associated with the logger name.
Throws:
  `SecurityException` - if the caller does not have `LogPermission[*,LOG]`.